export declare class ManifestValidationDetails {
    capabilities?: string[];
    capabilitiesCodes?: string[];
    defaultLocale?: string;
    defaultSourceLocations?: string[];
    description?: string;
    displayName?: string;
    iconUrl?: string;
    localizedDescriptions?: object;
    localizedIconUrls?: object;
    productId?: string;
    providerName?: string;
    supportedProducts?: ManifestValidationProduct[];
    version?: string;
}
export declare class ManifestValidationIssue {
    code?: string;
    column?: number;
    line?: number;
    title?: string;
    detail?: string;
    link?: string;
}
export declare class ManifestValidationProduct {
    productCode?: string;
    title?: string;
    version?: string;
}
export declare class ManifestValidationReport {
    result?: string;
    errors?: ManifestValidationIssue[];
    warnings?: ManifestValidationIssue[];
    suggestions?: ManifestValidationIssue[];
    infos?: ManifestValidationIssue[];
}
export declare class ManifestValidation {
    isValid: boolean;
    report?: ManifestValidationReport;
    details?: ManifestValidationDetails;
    status?: number;
    constructor();
}
export declare function validateManifest(manifestPath: string): Promise<ManifestValidation>;
